package cn.axzo.msg.center.api.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.Getter;

/**
 * @author: yanglin
 */
@Getter
public enum MsgStateV3Enum {

    UNSENT("UNSENT", "未发送"),
    SEND_FAILED("SEND_FAILED", "发送失败"),
    SEND_SUCCESS("SEND_SUCCESS", "已发送");

    @EnumValue
    private final String code;
    private final String message;

    MsgStateV3Enum(String code, String message) {
        this.code = code;
        this.message = message;
    }

    public String code() {
        return this.code;
    }

    public String message() {
        return this.message;
    }

}